Qt 5.6 | Qt 3D | C++ Classes | QAspectEngine

Qt 5.6.3 Reference Documentation

# QAspectEngine Class

(Qt3DCore::QAspectEngine)

- List of all members, including inherited members

## Public Functions

| QAspectEngine(QObject *parent = Q_NULLPTR)
| ~QAspectEngine()
QList<QAbstractAspect *> | aspects() const
QVariant | executeCommand(const QString &command)
void | registerAspect(QAbstractAspect *aspect)
void | registerAspect(const QString &name)
QSharedPointer<QEntity> | rootEntity() const
void | setData(const QVariantMap &data)
void | setRootEntity(QEntity *root)

## Member Function Documentation

### QAspectEngine::QAspectEngine(QObject *parent = Q_NULLPTR)

Default constructs an instance of QAspectEngine.

### QAspectEngine::~QAspectEngine()

Destroys the instance of QAspectEngine.

### QList<QAbstractAspect *> QAspectEngine::aspects() const

### QVariant QAspectEngine::executeCommand(const QString &command)

### void QAspectEngine::registerAspect(QAbstractAspect *aspect)

### void QAspectEngine::registerAspect(const QString &name)

### QSharedPointer<QEntity> QAspectEngine::rootEntity() const

See also setRootEntity().

### void QAspectEngine::setData(const QVariantMap &data)

### void QAspectEngine::setRootEntity(QEntity *root)

See also rootEntity().